%define oname   simplecov

Name:       ruby-%{oname}
Version:    0.4.2
Release:    %mkrel 1
Summary:    Code coverage for Ruby 1.9 with a powerful configuration library
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/colszowka/simplecov
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(shoulda)
BuildRequires: rubygem(rake)
BuildRequires: rubygem(simplecov-html)
BuildRequires: rubygem(bundler)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Code coverage for Ruby 1.9 with a powerful configuration library and
automatic merging of coverage across test suites

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}

%check
rake test



%changelog
* Sat Apr 16 2011 shikamaru <shikamaru> 0.4.2-1.mga1
+ Revision: 86340
- add buildrequires for testsuite
- imported package ruby-simplecov


* Sat Apr 16 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.4.2-1
- Initial package
